Bug 1025669 - [Performance][TestRun] It is too slow(waiting for more than 3 mins) when create a run or update a case in a run.
[Performance][TestRun] It is too slow(waiting for more than 3 mins) when crea...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Usability (Show other bugs)
3.8.5
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: cqi
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 04:47 EDT by Chen Chen
Modified: 2016-05-26 09:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Chen 2013-11-01 04:47:42 EDT
Description of problem:
It is too slow(waiting for more than 3 mins) when create a run or update a case in a run.

Version-Release number of selected component (if applicable):
3.8.5 on dev server(https://tcms.qe.lab.eng.nay.redhat.com)

How reproducible:
100%

Steps to Reproduce:
1.Enter into a plan, click "Cases" label, choose only one case, Click "Write new run" label below the "Run" label.
2.Enter into a run in which there are cases being updated, choose one updated case, click 'Cases'->'Update' menu at the top of the cases list.

Actual results:
1.Run is created after waiting for more than 3 mins.
2.Case is updated after waiting for more than 3 mins.

Expected results:
1.Run is created quickly.
2.Case is updated quickly.

Additional info:
Comment 1 Chen Chen 2013-11-05 02:56:12 EST
Additional info:
View in another browser tab, in fact, that run is created/updated in the server, just the client has no response.
Comment 4 Alexander Todorov 2014-04-04 08:34:37 EDT
Same slowness when cloning a previous test run into a new one. For me it usually happens when I clone 2 runs (in 2 tabs). The first one clones and redirects the browser immediately, while the second one waits for quite some time.
Comment 5 Alexander Todorov 2014-04-04 08:52:20 EDT
Update: 

although the new test run is visible from the main page it doesn't contain all test cases. Couple of minutes after the clone, and while the original tab was still waiting to be refreshed I opened the new test run into a new tab. It contained only 3 (out of 10) test cases at that moment.


After writing the above comment I refreshed the tab and now it contains 5 of 10 cases. 


It looks like TCMS is running a loop over the items which need to be cloned and cloning them one by one. 


Raising Prio/Sev because this negatively impacts QE workflow and productivity. Also a regression b/c it has never been so slow previously.
Comment 6 Tingting Zhao 2014-10-24 05:04:12 EDT
verify on qa server with nitrate 3.8.11:
the response time when creating run or updating cases is less than 3 minus,just about 3 seconds.

Note You need to log in before you can comment on or make changes to this bug.